package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSubCheckLow;

import java.util.List;

/**
 * 低倍检测结果表(PmSubCheckLow)应用服务
 *
 * @author BKGY
 * @since 2025-03-26 16:27:38
 */
public interface PmSubCheckLowService {

    /**
     * 查询数据
     *
     * @param pageRequest    分页参数
     * @param pmSubCheckLows 查询条件
     * @return 返回值
     */
    Page<PmSubCheckLow> selectList(PageRequest pageRequest, PmSubCheckLow pmSubCheckLows);

    /**
     * 保存数据
     *
     * @param pmSubCheckLows 数据
     */
    void saveData(List<PmSubCheckLow> pmSubCheckLows);

}

