package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSubCheckChm;

import java.util.List;

/**
 * 化学成分检测结果表(PmSubCheckChm)资源库
 *
 * @author BKGY
 * @since 2025-03-26 16:22:52
 */
public interface PmSubCheckChmRepository extends BaseRepository<PmSubCheckChm> {
    /**
     * 查询
     *
     * @param pmSubCheckChm 查询条件
     * @return 返回值
     */
    List<PmSubCheckChm> selectList(PmSubCheckChm pmSubCheckChm);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmSubCheckChm selectByPrimary(Long id);

    PmSubCheckChm selectByPonoAndOrderNo(PmSubCheckChm pmSubCheckChm);
}
