package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmSubCheckLow;

import java.util.List;

/**
 * 低倍检测结果表(PmSubCheckLow)应用服务
 *
 * @author BKGY
 * @since 2025-03-26 16:27:36
 */
public interface PmSubCheckLowMapper extends BaseMapper<PmSubCheckLow> {
    /**
     * 基础查询
     *
     * @param pmSubCheckLow 查询条件
     * @return 返回值
     */
    List<PmSubCheckLow> selectList(PmSubCheckLow pmSubCheckLow);

    PmSubCheckLow selectByPonoAndOrderNo(PmSubCheckLow pmSubCheckLow);
}

