package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSubCheckChm;

import java.util.List;

/**
 * 化学成分检测结果表(PmSubCheckChm)应用服务
 *
 * @author BKGY
 * @since 2025-03-26 16:22:52
 */
public interface PmSubCheckChmService {

    /**
     * 查询数据
     *
     * @param pageRequest    分页参数
     * @param pmSubCheckChms 查询条件
     * @return 返回值
     */
    Page<PmSubCheckChm> selectList(PageRequest pageRequest, PmSubCheckChm pmSubCheckChms);

    /**
     * 保存数据
     *
     * @param pmSubCheckChms 数据
     */
    void saveData(List<PmSubCheckChm> pmSubCheckChms);

}

