package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSubCheckLow;

import java.util.List;

/**
 * 低倍检测结果表(PmSubCheckLow)资源库
 *
 * @author BKGY
 * @since 2025-03-26 16:27:37
 */
public interface PmSubCheckLowRepository extends BaseRepository<PmSubCheckLow> {
    /**
     * 查询
     *
     * @param pmSubCheckLow 查询条件
     * @return 返回值
     */
    List<PmSubCheckLow> selectList(PmSubCheckLow pmSubCheckLow);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmSubCheckLow selectByPrimary(Long id);

    PmSubCheckLow selectByPonoAndOrderNo(PmSubCheckLow pmSubCheckLow);
}
