package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmSubCheckChm;

import java.util.List;

/**
 * 化学成分检测结果表(PmSubCheckChm)应用服务
 *
 * @author BKGY
 * @since 2025-03-26 16:22:51
 */
public interface PmSubCheckChmMapper extends BaseMapper<PmSubCheckChm> {
    /**
     * 基础查询
     *
     * @param pmSubCheckChm 查询条件
     * @return 返回值
     */
    List<PmSubCheckChm> selectList(PmSubCheckChm pmSubCheckChm);

    PmSubCheckChm selectByPonoAndOrderNo(PmSubCheckChm pmSubCheckChm);
}

